PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::Region Struct Reference

`#include <solvers/electrical/shockley/electr2d.hpp>`

Collaboration diagram for plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::Region:
[legend]

## Public Member Functions
| Region ()

## Public Attributes
size_t | left
size_t | right
size_t | bottom
size_t | top
size_t | rowl
size_t | rowr
bool | warn

## Detailed Description

template<typename Geometry2DType>
struct plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::Region

Definition at line 30 of file electr2d.hpp.

## Constructor & Destructor Documentation

## ◆ Region()

template<typename Geometry2DType >

plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::Region::Region | ( |  | ) |
| inline

Definition at line 34 of file electr2d.hpp.

## Member Data Documentation

## ◆ bottom

template<typename Geometry2DType >

size_t plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::Region::bottom

Definition at line 31 of file electr2d.hpp.

## ◆ left

template<typename Geometry2DType >

size_t plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::Region::left

Definition at line 31 of file electr2d.hpp.

## ◆ right

template<typename Geometry2DType >

size_t plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::Region::right

Definition at line 31 of file electr2d.hpp.

## ◆ rowl

template<typename Geometry2DType >

size_t plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::Region::rowl

Definition at line 32 of file electr2d.hpp.

## ◆ rowr

template<typename Geometry2DType >

size_t plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::Region::rowr

Definition at line 32 of file electr2d.hpp.

## ◆ top

template<typename Geometry2DType >

size_t plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::Region::top

Definition at line 31 of file electr2d.hpp.

## ◆ warn

template<typename Geometry2DType >

bool plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::Region::warn

Definition at line 33 of file electr2d.hpp.

The documentation for this struct was generated from the following file:

- solvers/electrical/shockley/electr2d.hpp